(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/animations')) :
	typeof define === 'function' && define.amd ? define('angular-bounce', ['exports', '@angular/animations'], factory) :
	(factory((global['angular-bounce'] = {}),global.ng.animations));
}(this, (function (exports,animations) { 'use strict';

var BOUNCE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0,0,0)', offset: 0 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0,0,0)', offset: .2 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.755, 0.050, 0.855, 0.060)', transform: 'translate3d(0, -30px, 0)', offset: .4 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.755, 0.050, 0.855, 0.060)', transform: 'translate3d(0, -30px, 0)', offset: .43 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0,0,0)', offset: .53 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.755, 0.050, 0.855, 0.060)', transform: 'translate3d(0, -15px, 0)', offset: .7 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0,0,0)', offset: .8 }),
    animations.style({ transformOrigin: 'center bottom', transform: 'translate3d(0, -4px, 0)', offset: .9 }),
    animations.style({ transformOrigin: 'center bottom', animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0,0,0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLASH = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, offset: .25 }),
    animations.style({ opacity: 1, offset: .5 }),
    animations.style({ opacity: 0, offset: .75 }),
    animations.style({ opacity: 1, offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var HEAD_SHAKE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(0)', offset: 0 }),
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(-6px) rotateY(-9deg)', offset: .065 }),
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(5px) rotateY(7deg)', offset: .185 }),
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(-3px) rotateY(-5deg)', offset: .315 }),
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(2px) rotateY(3deg)', offset: .435 }),
    animations.style({ animationTimingFunction: 'ease-in-out', transform: 'translateX(0)', offset: .5 }),
])), {
    params: {
        duration: '1s'
    }
});
var JELLO = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transformOrigin: 'center', transform: 'none', offset: 0 }),
    animations.style({ transformOrigin: 'center', transform: 'none', offset: .111 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(-12.5deg) skewY(-12.5deg)', offset: .222 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(6.25deg) skewY(6.25deg)', offset: .333 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(-3.125deg) skewY(-3.125deg)', offset: .444 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(1.5625deg) skewY(1.5625deg)', offset: .555 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(-0.78125deg) skewY(-0.78125deg)', offset: .666 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(0.390625deg) skewY(0.390625deg)', offset: .777 }),
    animations.style({ transformOrigin: 'center', transform: 'skewX(-0.1953125deg) skewY(-0.1953125deg)', offset: .888 }),
    animations.style({ transformOrigin: 'center', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var PULSE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 0 }),
    animations.style({ transform: 'scale3d(1.05, 1.05, 1.05)', offset: .5 }),
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var RUBBER_BAND = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 0 }),
    animations.style({ transform: 'scale3d(1.25, 0.75, 1)', offset: .3 }),
    animations.style({ transform: 'scale3d(0.75, 1.25, 1)', offset: .4 }),
    animations.style({ transform: 'scale3d(1.15, 0.85, 1)', offset: .5 }),
    animations.style({ transform: 'scale3d(.95, 1.05, 1)', offset: .65 }),
    animations.style({ transform: 'scale3d(1.05, .95, 1)', offset: .75 }),
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SHAKE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 0 }),
    animations.style({ transform: 'translate3d(-10px, 0, 0)', offset: .1 }),
    animations.style({ transform: 'translate3d(10px, 0, 0)', offset: .2 }),
    animations.style({ transform: 'translate3d(-10px, 0, 0)', offset: .3 }),
    animations.style({ transform: 'translate3d(10px, 0, 0)', offset: .4 }),
    animations.style({ transform: 'translate3d(-10px, 0, 0)', offset: .5 }),
    animations.style({ transform: 'translate3d(10px, 0, 0)', offset: .6 }),
    animations.style({ transform: 'translate3d(-10px, 0, 0)', offset: .7 }),
    animations.style({ transform: 'translate3d(10px, 0, 0)', offset: .8 }),
    animations.style({ transform: 'translate3d(-10px, 0, 0)', offset: .9 }),
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SWING = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transformOrigin: 'top center', transform: 'rotate3d(0, 0, 1, 15deg)', offset: .2 }),
    animations.style({ transformOrigin: 'top center', transform: 'rotate3d(0, 0, 1, -10deg)', offset: .4 }),
    animations.style({ transformOrigin: 'top center', transform: 'rotate3d(0, 0, 1, 5deg)', offset: .6 }),
    animations.style({ transformOrigin: 'top center', transform: 'rotate3d(0, 0, 1, -5deg)', offset: .8 }),
    animations.style({ transformOrigin: 'top center', transform: 'rotate3d(0, 0, 1, 0deg)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var TADA = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 0 }),
    animations.style({ transform: 'scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg)', offset: .1 }),
    animations.style({ transform: 'scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg)', offset: .2 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg)', offset: .3 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg)', offset: .4 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg)', offset: .5 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg)', offset: .6 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg)', offset: .7 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg)', offset: .8 }),
    animations.style({ transform: 'scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg)', offset: .9 }),
    animations.style({ transform: 'scale3d(1, 1, 1)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var WOBBLE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'none', offset: 0 }),
    animations.style({ transform: 'translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg)', offset: .15 }),
    animations.style({ transform: 'translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg)', offset: .3 }),
    animations.style({ transform: 'translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg)', offset: .45 }),
    animations.style({ transform: 'translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg)', offset: .6 }),
    animations.style({ transform: 'translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg)', offset: .75 }),
    animations.style({ transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 0, transform: 'scale3d(.3, .3, .3)', offset: 0 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'scale3d(1.1, 1.1, 1.1)', offset: .2 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'scale3d(.9, .9, .9)', offset: .4 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'scale3d(1.03, 1.03, 1.03)', offset: .6 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'scale3d(.97, .97, .97)', offset: .8 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'scale3d(1, 1, 1)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_IN_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 0, transform: 'translate3d(0, -3000px, 0)', offset: 0 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'translate3d(0, 25px, 0)', offset: .6 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0, -10px, 0)', offset: .75 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0, 5px, 0)', offset: .9 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_IN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 0, transform: 'translate3d(-3000px, 0,  0)', offset: 0 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'translate3d(25px, 0, 0)', offset: .6 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(-10px, 0, 0)', offset: .75 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(5px, 0, 0)', offset: .9 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_IN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 0, transform: 'translate3d(3000px, 0,  0)', offset: 0 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'translate3d(-25px, 0, 0)', offset: .6 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(10px, 0, 0)', offset: .75 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(-5px, 0, 0)', offset: .9 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_IN_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 0, transform: 'translate3d(0, 3000px, 0)', offset: 0 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', opacity: 1, transform: 'translate3d(0, -20px, 0)', offset: .6 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0, 10px, 0)', offset: .75 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'translate3d(0, -5px, 0)', offset: .9 }),
    animations.style({ animationTimingFunction: 'cubic-bezier(0.215, 0.610, 0.355, 1.000)', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'scale3d(.9, .9, .9)', offset: .2 }),
    animations.style({ opacity: 1, transform: 'scale3d(1.1, 1.1, 1.1)', offset: .5 }),
    animations.style({ opacity: 1, transform: 'scale3d(1.1, 1.1, 1.1)', offset: .55 }),
    animations.style({ opacity: 0, transform: 'scale3d(.3, .3, .3)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_OUT_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 10px, 0)', offset: .2 }),
    animations.style({ opacity: 1, transform: 'translate3d(0, -20px, 0)', offset: .4 }),
    animations.style({ opacity: 1, transform: 'translate3d(0, -20px, 0)', offset: .45 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, 2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_OUT_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transform: 'translate3d(20px, 0, 0)', offset: .2 }),
    animations.style({ opacity: 0, transform: 'translate3d(-2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_OUT_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transform: 'translate3d(-20px, 0, 0)', offset: .2 }),
    animations.style({ opacity: 0, transform: 'translate3d(2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var BOUNCE_OUT_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, -10px, 0)', offset: .2 }),
    animations.style({ opacity: 1, transform: 'translate3d(0, 20px, 0)', offset: .4 }),
    animations.style({ opacity: 1, transform: 'translate3d(0, 20px, 0)', offset: .45 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, -2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, offset: 0 }),
    animations.style({ opacity: 1, offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(0, -100%, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_DOWN_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(0, -2000px, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(-100%, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_LEFT_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(-2000px, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(100%, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_RIGHT_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(2000px, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(0, 100%, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_IN_UP_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(0, 2000px, 0)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, 100%, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_DOWN_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, 2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(-100%, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_LEFT_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(-2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(100%, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_RIGHT_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, -100%, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FADE_OUT_UP_BIG = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, -2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLIP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ backfaceVisibility: 'visible', transform: 'perspective(400px) rotate3d(0, 1, 0, -360deg)', animationTimingFunction: 'ease-out', offset: 0 }),
    animations.style({ backfaceVisibility: 'visible', transform: 'perspective(400px) translate3d(0, 0, 150px) rotate3d(0, 1, 0, -190deg)', animationTimingFunction: 'ease-out', offset: .4 }),
    animations.style({ backfaceVisibility: 'visible', transform: 'perspective(400px) translate3d(0, 0, 150px) rotate3d(0, 1, 0, -170deg)', animationTimingFunction: 'ease-in', offset: .5 }),
    animations.style({ backfaceVisibility: 'visible', transform: 'perspective(400px) scale3d(.95, .95, .95)', animationTimingFunction: 'ease-in', offset: .8 }),
    animations.style({ backfaceVisibility: 'visible', transform: 'perspective(400px)', animationTimingFunction: 'ease-in', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLIP_IN_X = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, 90deg)', animationTimingFunction: 'ease-in', offset: 0 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, -20deg)', animationTimingFunction: 'ease-in', offset: .4 }),
    animations.style({ opacity: 1, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, 10deg)', offset: .6 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, -5deg)', offset: .8 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLIP_IN_Y = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(0, 1, 0, 90deg)', animationTimingFunction: 'ease-in', offset: 0 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(0, 1, 0, -20deg)', animationTimingFunction: 'ease-in', offset: .4 }),
    animations.style({ opacity: 1, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, 10deg)', offset: .6 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(0, 1, 0, -5deg)', offset: .8 }),
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLIP_OUT_X = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px)', offset: 0 }),
    animations.style({ opacity: 1, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, -20deg)', offset: .3 }),
    animations.style({ opacity: 0, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(1, 0, 0, 90deg)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var FLIP_OUT_Y = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ backfaceVisibility: 'visible !important', transform: 'perspective(400px)', offset: 0 }),
    animations.style({ opacity: 1, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(0, 1, 0, -15deg)', offset: .3 }),
    animations.style({ opacity: 0, backfaceVisibility: 'visible !important', transform: 'perspective(400px) rotate3d(0, 1, 0, 90deg)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var LIGHT_SPEED_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, animationTimingFunction: 'ease-out', transform: 'translate3d(100%, 0, 0) skewX(-30deg)', offset: 0 }),
    animations.style({ opacity: 1, animationTimingFunction: 'ease-out', transform: 'skewX(20deg)', offset: .6 }),
    animations.style({ opacity: 1, animationTimingFunction: 'ease-out', transform: 'skewX(-5deg)', offset: .8 }),
    animations.style({ opacity: 1, animationTimingFunction: 'ease-out', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var LIGHT_SPEED_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, animationTimingFunction: 'ease-in', offset: 0 }),
    animations.style({ opacity: 0, animationTimingFunction: 'ease-in', transform: 'translate3d(100%, 0, 0) skewX(30deg)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transformOrigin: 'center', transform: 'rotate3d(0, 0, 1, -200deg)', offset: 0 }),
    animations.style({ opacity: 1, transformOrigin: 'center', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_IN_DOWN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transformOrigin: 'left bottom', transform: 'rotate3d(0, 0, 1, -45deg)', offset: 0 }),
    animations.style({ opacity: 1, transformOrigin: 'left bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_IN_DOWN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transformOrigin: 'right bottom', transform: 'rotate3d(0, 0, 1, 45deg)', offset: 0 }),
    animations.style({ opacity: 1, transformOrigin: 'right bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_IN_UP_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transformOrigin: 'left bottom', transform: 'rotate3d(0, 0, 1, 45deg)', offset: 0 }),
    animations.style({ opacity: 1, transformOrigin: 'left bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_IN_UP_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transformOrigin: 'right bottom', transform: 'rotate3d(0, 0, 1, -90deg)', offset: 0 }),
    animations.style({ opacity: 1, transformOrigin: 'right bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transformOrigin: 'center', transform: 'rotate3d(0, 0, 1, 200deg)', offset: 0 }),
    animations.style({ opacity: 0, transformOrigin: 'center', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_OUT_DOWN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transformOrigin: 'left bottom', transform: 'rotate3d(0, 0, 1, 45deg)', offset: 0 }),
    animations.style({ opacity: 0, transformOrigin: 'left bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_OUT_DOWN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transformOrigin: 'right bottom', transform: 'rotate3d(0, 0, 1, -45deg)', offset: 0 }),
    animations.style({ opacity: 0, transformOrigin: 'right bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_OUT_UP_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transformOrigin: 'left bottom', transform: 'rotate3d(0, 0, 1, -45deg)', offset: 0 }),
    animations.style({ opacity: 0, transformOrigin: 'left bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROTATE_OUT_UP_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transformOrigin: 'right bottom', transform: 'rotate3d(0, 0, 1, 90deg)', offset: 0 }),
    animations.style({ opacity: 0, transformOrigin: 'right bottom', transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_IN_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ visibility: 'visible', transform: 'translate3d(0, -100%, 0)', offset: 0 }),
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_IN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ visibility: 'visible', transform: 'translate3d(-100%, 0, 0)', offset: 0 }),
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_IN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ visibility: 'visible', transform: 'translate3d(100%, 0, 0)', offset: 0 }),
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_IN_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ visibility: 'visible', transform: 'translate3d(0, 100%, 0)', offset: 0 }),
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_OUT_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 0 }),
    animations.style({ visibility: 'hidden', transform: 'translate3d(0, 100%, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_OUT_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 0 }),
    animations.style({ visibility: 'hidden', transform: 'translate3d(-100%, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_OUT_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 0 }),
    animations.style({ visibility: 'hidden', transform: 'translate3d(100%, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var SLIDE_OUT_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transform: 'translate3d(0, 0, 0)', offset: 0 }),
    animations.style({ visibility: 'hidden', transform: 'translate3d(0, -100%, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var HINGE = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ transformOrigin: 'top left', animationTimingFunction: 'ease-in-out', offset: 0 }),
    animations.style({ transformOrigin: 'top left', animationTimingFunction: 'ease-in-out', transform: 'rotate3d(0, 0, 1, 80deg)', offset: .2 }),
    animations.style({ opacity: 1, transformOrigin: 'top left', animationTimingFunction: 'ease-in-out', transform: 'rotate3d(0, 0, 1, 60deg)', offset: .4 }),
    animations.style({ transformOrigin: 'top left', animationTimingFunction: 'ease-in-out', transform: 'rotate3d(0, 0, 1, 80deg)', offset: .6 }),
    animations.style({ opacity: 1, transformOrigin: 'top left', animationTimingFunction: 'ease-in-out', transform: 'rotate3d(0, 0, 1, 60deg)', offset: .8 }),
    animations.style({ opacity: 0, transform: 'translate3d(0, 700px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var JACK_IN_THE_BOX = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'scale(0.1) rotate(30deg)', transformOrigin: 'center bottom', offset: 0 }),
    animations.style({ transform: 'rotate(-10deg)', offset: .5 }),
    animations.style({ transform: 'rotate(3deg)', offset: .7 }),
    animations.style({ transform: 'scale(1)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROLL_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'translate3d(-100%, 0, 0) rotate3d(0, 0, 1, -120deg)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'none', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ROLL_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'translate3d(100%, 0, 0) rotate3d(0, 0, 1, 120deg)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_IN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, transform: 'scale3d(.3, .3, .3)', offset: 0 }),
    animations.style({ opacity: 1, transform: 'scale3d(1, 1, 1)', offset: .5 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_IN_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.1, .1, .1) translate3d(0, -1000px, 0)', offset: 0 }),
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transform: 'scale3d(.1, .1, .1) translate3d(0, 60px, 0)', offset: .6 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_IN_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.1, .1, .1) translate3d(-1000px, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transform: 'scale3d(.475, .475, .475) translate3d(10px, 0, 0)', offset: .6 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_IN_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.1, .1, .1) translate3d(1000px, 0, 0)', offset: 0 }),
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transform: 'scale3d(.475, .475, .475) translate3d(-10px, 0, 0)', offset: .6 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_IN_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.1, .1, .1) translate3d(0, 1000px, 0)', offset: 0 }),
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transform: 'scale3d(.475, .475, .475) translate3d(0, -60px, 0)', offset: .6 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_OUT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, offset: 0 }),
    animations.style({ opacity: 0, transform: 'scale3d(.3, .3, .3)', offset: .5 }),
    animations.style({ opacity: 0, offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_OUT_DOWN = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.475, .475, .475) translate3d(0, -60px, 0)', offset: .4 }),
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transformOrigin: 'center bottom', transform: 'scale3d(.1, .1, .1) translate3d(0, 2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_OUT_LEFT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transform: 'scale3d(.475, .475, .475) translate3d(42px, 0, 0)', offset: .4 }),
    animations.style({ opacity: 0, transformOrigin: 'left center', transform: 'scale(.1) translate3d(-2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_OUT_RIGHT = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, transform: 'scale3d(.475, .475, .475) translate3d(-42px, 0, 0)', offset: .4 }),
    animations.style({ opacity: 0, transformOrigin: 'right center', transform: 'scale(.1) translate3d(2000px, 0, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});
var ZOOM_OUT_UP = animations.animation(animations.animate('{{ duration }}', animations.keyframes([
    animations.style({ opacity: 1, animationTimingFunction: 'cubic-bezier(0.550, 0.055, 0.675, 0.190)', transform: 'scale3d(.475, .475, .475) translate3d(0, 60px, 0)', offset: .4 }),
    animations.style({ opacity: 0, animationTimingFunction: 'cubic-bezier(0.175, 0.885, 0.320, 1)', transformOrigin: 'center bottom', transform: 'scale3d(.1, .1, .1) translate3d(0, -2000px, 0)', offset: 1 }),
])), {
    params: {
        duration: '1s'
    }
});

exports.BOUNCE = BOUNCE;
exports.FLASH = FLASH;
exports.HEAD_SHAKE = HEAD_SHAKE;
exports.JELLO = JELLO;
exports.PULSE = PULSE;
exports.RUBBER_BAND = RUBBER_BAND;
exports.SHAKE = SHAKE;
exports.SWING = SWING;
exports.TADA = TADA;
exports.WOBBLE = WOBBLE;
exports.BOUNCE_IN = BOUNCE_IN;
exports.BOUNCE_IN_DOWN = BOUNCE_IN_DOWN;
exports.BOUNCE_IN_LEFT = BOUNCE_IN_LEFT;
exports.BOUNCE_IN_RIGHT = BOUNCE_IN_RIGHT;
exports.BOUNCE_IN_UP = BOUNCE_IN_UP;
exports.BOUNCE_OUT = BOUNCE_OUT;
exports.BOUNCE_OUT_DOWN = BOUNCE_OUT_DOWN;
exports.BOUNCE_OUT_LEFT = BOUNCE_OUT_LEFT;
exports.BOUNCE_OUT_RIGHT = BOUNCE_OUT_RIGHT;
exports.BOUNCE_OUT_UP = BOUNCE_OUT_UP;
exports.FADE_IN = FADE_IN;
exports.FADE_IN_DOWN = FADE_IN_DOWN;
exports.FADE_IN_DOWN_BIG = FADE_IN_DOWN_BIG;
exports.FADE_IN_LEFT = FADE_IN_LEFT;
exports.FADE_IN_LEFT_BIG = FADE_IN_LEFT_BIG;
exports.FADE_IN_RIGHT = FADE_IN_RIGHT;
exports.FADE_IN_RIGHT_BIG = FADE_IN_RIGHT_BIG;
exports.FADE_IN_UP = FADE_IN_UP;
exports.FADE_IN_UP_BIG = FADE_IN_UP_BIG;
exports.FADE_OUT = FADE_OUT;
exports.FADE_OUT_DOWN = FADE_OUT_DOWN;
exports.FADE_OUT_DOWN_BIG = FADE_OUT_DOWN_BIG;
exports.FADE_OUT_LEFT = FADE_OUT_LEFT;
exports.FADE_OUT_LEFT_BIG = FADE_OUT_LEFT_BIG;
exports.FADE_OUT_RIGHT = FADE_OUT_RIGHT;
exports.FADE_OUT_RIGHT_BIG = FADE_OUT_RIGHT_BIG;
exports.FADE_OUT_UP = FADE_OUT_UP;
exports.FADE_OUT_UP_BIG = FADE_OUT_UP_BIG;
exports.FLIP = FLIP;
exports.FLIP_IN_X = FLIP_IN_X;
exports.FLIP_IN_Y = FLIP_IN_Y;
exports.FLIP_OUT_X = FLIP_OUT_X;
exports.FLIP_OUT_Y = FLIP_OUT_Y;
exports.LIGHT_SPEED_IN = LIGHT_SPEED_IN;
exports.LIGHT_SPEED_OUT = LIGHT_SPEED_OUT;
exports.ROTATE_IN = ROTATE_IN;
exports.ROTATE_IN_DOWN_LEFT = ROTATE_IN_DOWN_LEFT;
exports.ROTATE_IN_DOWN_RIGHT = ROTATE_IN_DOWN_RIGHT;
exports.ROTATE_IN_UP_LEFT = ROTATE_IN_UP_LEFT;
exports.ROTATE_IN_UP_RIGHT = ROTATE_IN_UP_RIGHT;
exports.ROTATE_OUT = ROTATE_OUT;
exports.ROTATE_OUT_DOWN_LEFT = ROTATE_OUT_DOWN_LEFT;
exports.ROTATE_OUT_DOWN_RIGHT = ROTATE_OUT_DOWN_RIGHT;
exports.ROTATE_OUT_UP_LEFT = ROTATE_OUT_UP_LEFT;
exports.ROTATE_OUT_UP_RIGHT = ROTATE_OUT_UP_RIGHT;
exports.SLIDE_IN_DOWN = SLIDE_IN_DOWN;
exports.SLIDE_IN_LEFT = SLIDE_IN_LEFT;
exports.SLIDE_IN_RIGHT = SLIDE_IN_RIGHT;
exports.SLIDE_IN_UP = SLIDE_IN_UP;
exports.SLIDE_OUT_DOWN = SLIDE_OUT_DOWN;
exports.SLIDE_OUT_LEFT = SLIDE_OUT_LEFT;
exports.SLIDE_OUT_RIGHT = SLIDE_OUT_RIGHT;
exports.SLIDE_OUT_UP = SLIDE_OUT_UP;
exports.HINGE = HINGE;
exports.JACK_IN_THE_BOX = JACK_IN_THE_BOX;
exports.ROLL_IN = ROLL_IN;
exports.ROLL_OUT = ROLL_OUT;
exports.ZOOM_IN = ZOOM_IN;
exports.ZOOM_IN_DOWN = ZOOM_IN_DOWN;
exports.ZOOM_IN_LEFT = ZOOM_IN_LEFT;
exports.ZOOM_IN_RIGHT = ZOOM_IN_RIGHT;
exports.ZOOM_IN_UP = ZOOM_IN_UP;
exports.ZOOM_OUT = ZOOM_OUT;
exports.ZOOM_OUT_DOWN = ZOOM_OUT_DOWN;
exports.ZOOM_OUT_LEFT = ZOOM_OUT_LEFT;
exports.ZOOM_OUT_RIGHT = ZOOM_OUT_RIGHT;
exports.ZOOM_OUT_UP = ZOOM_OUT_UP;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-bounce.umd.js.map
